#!/bin/bash

. ./internals/_build_set_common.sh

#----------------------------
set_log_start

if [[ "$USE_PREBUILD_EXTRA_DEPS" = "y" ]]; then
  echo -e "${CBrown}####  Use of pre-built extra dependency packages is currently configured. Nothing to do.  ####\n${CNone}"
  echo "Use of pre-built extra dependency packages is currently configured. Nothing to do." >>"$LOG_BUILD_RESULT_FILENAME"
else
  build_module "$CFG_EXTRA_DEPS_DIR/uncrustify-trinity"
	#
  build_module "$CFG_EXTRA_DEPS_DIR/fireflies"
  build_module "$CFG_EXTRA_DEPS_DIR/htdig"
  build_module "$CFG_EXTRA_DEPS_DIR/imlib"
  build_module "$CFG_EXTRA_DEPS_DIR/jasper"
  build_module "$CFG_EXTRA_DEPS_DIR/lcms"
  build_module "$CFG_EXTRA_DEPS_DIR/mp4v2"
  build_module "$CFG_EXTRA_DEPS_DIR/openslp-dfsg"
  build_module "$CFG_EXTRA_DEPS_DIR/transcode"
  build_module "$CFG_EXTRA_DEPS_DIR/wv2"
fi

set_log_end
